/* sRGB Fallback */
:root {
  --neutral-lightest: rgb(230, 232, 228);
  --neutral-lighter: rgb(199, 202, 197);
  --neutral-light: rgb(140, 144, 138);
  --neutral: rgb(113, 116, 110);
  --neutral-dark: rgb(86, 90, 84);
  --neutral-darker: rgb(38, 41, 37);
  --neutral-darkest: rgb(17, 19, 16);
  --primary-light: rgb(168, 251, 107);
  --primary-dark: rgb(22, 47, 0);
  --blue-light: rgb(194, 229, 255);
  --blue-dark: rgb(0, 43, 68);
  --orange-light: rgb(248, 217, 190);
  --orange-dark: rgb(61, 31, 0);
  --pink-light: rgb(250, 211, 229);
  --pink-dark: rgb(62, 25, 45);
  --purple-light: rgb(229, 216, 252);
  --purple-dark: rgb(46, 31, 66);
}

/* Target OKLCH values */
@supports (color: oklch(0 0 0)) {
  :root {
    --neutral-lightest: oklch(0.928 0.006 134.0);
    --neutral-lighter: oklch(0.835 0.008 134.0);
    --neutral-light: oklch(0.648 0.010 134.0);
    --neutral: oklch(0.555 0.010 134.0);
    --neutral-dark: oklch(0.462 0.010 134.0);
    --neutral-darker: oklch(0.275 0.008 134.0);
    --neutral-darkest: oklch(0.182 0.006 134.0);
    --primary-light: oklch(0.905 0.195 134.0);
    --primary-dark: oklch(0.275 0.080 134.0);
    --blue-light: oklch(0.905 0.055 240.0);
    --blue-dark: oklch(0.275 0.080 240.0);
    --orange-light: oklch(0.905 0.050 64.0);
    --orange-dark: oklch(0.275 0.065 64.0);
    --pink-light: oklch(0.905 0.050 348.0);
    --pink-dark: oklch(0.275 0.065 348.0);
    --purple-light: oklch(0.905 0.050 302.0);
    --purple-dark: oklch(0.275 0.065 302.0);    
  }
}
